<?php
namespace Claromentis\Comments;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_c8947473" . "60c6ec5bd" . "8169530ea" . "f9c473" => base64_decode("QmFkIFJlcXV" . "lc3Q="), "_a4a1018258adabb74e7b04836d8d" . "7e3b" => base64_decode("Tm90" . "IEZv" . "dW5k"), "_437d31f3e36" . "9eaf52112df7" . "8da5beabb" => base64_decode("T25FcnJ" . "vcg=="));
use Claromentis\Core\Repository\Exception\NotFoundException;
use Claromentis\Core\Repository\Exception\UnsupportedTypeException;
use Claromentis\Core\Application;
use Symfony\Component\HttpKernel\Event\ExceptionEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class RestExceptionHandler
{
    
    
    
    
    private $app;
    
    
    
    
    public function __construct(Application $app)
    {
        $this->app = $app;
    }
    
    
    
    
    public function OnError(ExceptionEvent $event)
    {
        $_fe441aa3ef350bfb1a1a1ad8520dd530 = $event->getThrowable();
        if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof NotFoundException) {
            $event->setThrowable(new \RestExNotFound($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage(), $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_a4a1018258adabb" . "74e7b04836d8d7e3" . "b"], $_fe441aa3ef350bfb1a1a1ad8520dd530));
            return;
        }
        if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof UnsupportedTypeException) {
            $event->setThrowable(new \RestExBadRequest($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage(), $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_c894747360c6ec5bd8169530e" . "af9c473"], $_fe441aa3ef350bfb1a1a1ad8520dd530));
            return;
        }
    }
    
    
    
    
    public function register()
    {
        $this->app->on(KernelEvents::EXCEPTION, array($this, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_437d31f3" . "e369eaf52" . "112df78da" . "5beabb"]), 32);
        
        
    }
    public function unregister()
    {
        
        
    }
}